Bug 122016 - Wireless network setup doesn't list D-Link Airport Xtreme PCMCIA card
Wireless network setup doesn't list D-Link Airport Xtreme PCMCIA card
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-29 15:02 EDT by Rick Ekle
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 16:54:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Ekle 2004-04-29 15:02:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040113

Description of problem:
As I understand it, Kernel 2.6.5 has support for this wireless card
(which my laptop uses), but it is not listed in the Wireless network
setup wizard, so I can't setup my laptop to use it.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run Wireless Network setup wizard
    

Actual Results:  Doesn't list card

Expected Results:  Should list card

Additional info:
Comment 1 Bill Nottingham 2004-04-29 16:33:10 EDT
Do you know what to add to /etc/pcmcia/config to make it work?
Comment 2 Rick Ekle 2004-04-29 17:19:46 EDT
I'm not familiar with the /etc/pcmcia/config file.  I do know that it
uses the Prism54 wireless kernel driver though, if that helps.
Comment 3 Bill Nottingham 2004-04-29 17:23:54 EDT
Assigning to system-config-network, although it may need the driver to
export the proper IDs.

Can you post the output of lspci?
Comment 4 Need Real Name 2004-05-02 12:40:49 EDT
I dont have the D-Link, but I do have a prism54 card (Netgear WG511)
There are alot of new "supported cards" from prism's drivers

prism54.org/supported_cards.php

I dont know exactly how I got mine working, but adding the lines
----start---

prism54
        eth
        "Netgear WG511 (prism54 driver)"                        
----end-----
at the end of  /usr/share/system-config-network/module-info seemed to
help alot...(the sys-con-net recognized the device as a "Intersil
Corporation Intersil ISL3890 [Prism GT/Prism Duette] (rev 01)" when I
added a wireless card.



The real question is if we redhat/fedora SHOULD support this, because
as of now prism54 does not have comformation to copy non-free-firmware
http://prism54.org/firmware/ to /usr/lib/hotplug/firmware/isl3890 OR
/etc/hotplug/isl3890 (probably not/unsure), and I dont think it works
with out this. (note to readers, you have to rename 1.0.4.3.arm to
isl3890) 

--------------------------
lspci
0d:00.0 Network controller: Intersil Corporation Intersil ISL3890
[Prism GT/Prism Duette] (rev 01)

lspci -v -v
0d:00.0 Network controller: Intersil Corporation Intersil ISL3890
[Prism GT/Prism Duette] (rev 01)
        Subsystem: Netgear: Unknown device 4800
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 80 (2500ns min, 7000ns max)
        Interrupt: pin A routed to IRQ 10
        Region 0: Memory at 21000000 (32-bit, non-prefetchable)
        Capabilities: [dc] Power Management version 1
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0+,D1+,D2+,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

lsmod
prism54                40860  0

hope this helps
seth (sethh unt edu)
Comment 5 Rick Ekle 2004-05-03 21:52:09 EDT
06:00.0 Ethernet controller: Unknown device 168c:0013 (rev 01)
	Subsystem: Unknown device 168c:1025
	Flags: medium devsel, IRQ 11
	Memory at 11000000 (32-bit, non-prefetchable) [size=64K]
	Capabilities: [44] Power Management version 2

Comment 6 Harald Hoyer 2005-09-16 09:29:11 EDT
Does it work with current s-c-network and kernel versions?
Comment 7 John Thacker 2006-10-29 16:54:54 EST
Closing per lack of response to previous request for information.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  Please test
this on FC5 or FC6.  If it still occurs there, please reopen and change the
version to fc5 or fc6.  Otherwise, if this is a security issue, please reassign
the bug to Fedora Legacy.  Thanks, and we apologize for not getting to this bug
earlier.

Note You need to log in before you can comment on or make changes to this bug.